ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Plane::Impl Class Reference

Private implementation details of Plane model object. More...

Collaboration diagram for ome::xml::model::Plane::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< double > | exposureTime
| ExposureTime property.
ome::compat::shared_ptr< double > | positionZ
| PositionZ property.
ome::compat::shared_ptr< double > | positionX
| PositionX property.
ome::compat::shared_ptr< double > | positionY
| PositionY property.
ome::compat::shared_ptr< double > | deltaT
| DeltaT property.
ome::xml::model::primitives::NonNegativeInteger | theC
| TheC property.
ome::xml::model::primitives::NonNegativeInteger | theZ
| TheZ property.
ome::xml::model::primitives::NonNegativeInteger | theT
| TheT property.
ome::compat::shared_ptr< std::string > | hashSHA1
| HashSHA1 property.
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | annotationLinks
| AnnotationRef reference (occurs more than once)
ome::compat::weak_ptr< ome::xml::model::Pixels > | pixels
| Pixels_BackReference back reference.

## Detailed Description

Private implementation details of Plane model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Plane.cpp